Package Details: lib32-mesa-git 19.2.0_devel.113971.74470baebbd-1

Git Clone URL: https://aur.archlinux.org/lib32-mesa-git.git (read-only)
Package Base: lib32-mesa-git
Description: an open-source implementation of the OpenGL specification, git version
Upstream URL: https://www.mesa3d.org
Licenses: custom
Conflicts: lib32-libva-mesa-driver, lib32-mesa, lib32-mesa-vdpau, lib32-vulkan-intel, lib32-vulkan-radeon
Provides: lib32-libva-mesa-driver=19.2.0_devel.113971.74470baebbd-1, lib32-mesa=19.2.0_devel.113971.74470baebbd-1, lib32-mesa-vdpau=19.2.0_devel.113971.74470baebbd-1, lib32-opengl-driver, lib32-vulkan-intel=19.2.0_devel.113971.74470baebbd-1, lib32-vulkan-radeon=19.2.0_devel.113971.74470baebbd-1
Submitter: None
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 37
Popularity: 0.703080
First Submitted: 2009-12-18 18:42
Last Updated: 2019-08-05 11:30

Required by (72)

Sources (3)

Pinned Comments

Lone_Wolf commented on 2019-05-09 13:30

This package now uses an environment variable to determine which llvm package it will be built against. Check PKGBUILD for details.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

Lone_Wolf commented on 2017-05-08 15:24

I put it there as a temp solution until lib32-libunwind maintainer had a chance to update.
That was a month ago, the maintainer hasn't responded so I submitted an orphan request and intend to take over the package.

Gelmo commented on 2017-04-12 01:47

Thanks for uploading that for us, saved the day! If this happens in the future, would you be able to host it somewhere where it can be downloaded direct with wget?

Lone_Wolf commented on 2017-04-06 10:27

use https://app.box.com/s/f08zemx7buex8cdn6v4235rzj2qvmujs for a lib32-libunwind that does satisfy mesa-git requirements.

For now you'll have to build and install it manually yourself before building lib32-mesa-git.

Berg commented on 2017-04-06 07:57

testing compile with lib32-libunwind from AUR and lib32-libunwind-git (AUR):

/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/6.3.1/../../../libunwind.so when searching for -lunwind
/usr/bin/ld: skipping incompatible /usr/lib/libunwind.so when searching for -lunwind
/usr/bin/ld: cannot find -lunwind
collect2: error: ld returned 1 exit status

Lone_Wolf commented on 2017-04-05 23:03

Builds fails atm because of a new dependency, lib32-libunwind.
That package appears to need an update.

Lone_Wolf commented on 2017-03-17 16:14

same problem here, created https://bugs.freedesktop.org/show_bug.cgi?id=100259

Roberth commented on 2017-03-16 13:54

EDIT: Removing the existing lib32-mesa-git packages before compiling fixed it.

Hmmm what is wrong here?

libtool: warning: relinking 'libEGL.la'
libtool: install: (cd /mnt/DATA/AUR/lib32-mesa-git/src/mesa/src/egl; /bin/sh "/mnt/DATA/AUR/lib32-mesa-git/src/mesa/libtool" --silent --tag CC --mode=relink gcc -m32 -I../../include -I../../src/egl/main -I../../src/gbm/main -I../../src -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -D_GNU_SOURCE -DUSE_SSE41 -DUSE_GCC_ATOMIC_BUILTINS -DNDEBUG -DTEXTURE_FLOAT_ENABLED -DUSE_X86_ASM -DUSE_MMX_ASM -DUSE_3DNOW_ASM -DUSE_SSE_ASM -DHAVE_XLOCALE_H -DHAVE_SYS_SYSCTL_H -DHAVE_STRTOF -DHAVE_MKOSTEMP -DHAVE_DLOPEN -DHAVE_DL_ITERATE_PHDR -DHAVE_POSIX_MEMALIGN -DHAVE_LIBDRM -DGLX_USE_DRM -DGLX_INDIRECT_RENDERING -DGLX_DIRECT_RENDERING -DGLX_USE_TLS -DHAVE_DRI3 -DENABLE_SHADER_CACHE -DHAVE_MINCORE -DHAVE_ST_VDPAU -DHAVE_LLVM=0x0500 -DMESA_LLVM_VERSION_PATCH=0 -fvisibility=hidden -I/usr/include/libdrm -D_EGL_NATIVE_PLATFORM=_EGL_PLATFORM_X11 -DHAVE_X11_PLATFORM -DHAVE_WAYLAND_PLATFORM -DHAVE_DRM_PLATFORM -I../../src/loader -I../../src/egl/drivers/dri2 -I../../src/gbm/backends/dri -I../../src/egl/wayland/wayland-egl -I../../src/egl/wayland/wayland-drm -I../../src/egl/wayland/wayland-drm -DDEFAULT_DRIVER_DIR=\"/usr/lib32/xorg/modules/dri\" -D_EGL_BUILT_IN_DRIVER_DRI2 -march=native -mtune=native -O2 -pipe -fstack-protector-strong -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-math-errno -fno-trapping-math -no-undefined -version-number 1:0 -Wl,-Bsymbolic -Wl,--gc-sections -Wl,--no-undefined -Wl,-O1,--sort-common,--as-needed,-z,relro -o libEGL.la -rpath /usr/lib32 main/eglapi.lo main/eglarray.lo main/eglconfig.lo main/eglcontext.lo main/eglcurrent.lo main/egldisplay.lo main/egldriver.lo main/eglfallbacks.lo main/eglglobals.lo main/eglimage.lo main/egllog.lo main/eglsurface.lo main/eglsync.lo drivers/dri2/egl_dri2.lo drivers/dri2/platform_x11.lo drivers/dri2/platform_wayland.lo drivers/dri2/platform_drm.lo drivers/dri2/platform_x11_dri3.lo -ldl -lpthread -L/usr/lib32 -lX11-xcb -lX11 -lxcb -lxcb-dri2 -lxcb-xfixes ../../src/loader/libloader_dri3_helper.la -L/usr/lib32 -lwayland-client -lwayland-server -L/usr/lib32 -ldrm ../../src/egl/wayland/wayland-drm/libwayland-drm.la ../../src/gbm/libgbm.la ../../src/loader/libloader.la -ldl -L/usr/lib32 -ldrm -inst-prefix-dir /mnt/DATA/AUR/lib32-mesa-git/pkg/lib32-mesa-git)
drivers/dri2/.libs/platform_drm.o: In function `get_back_bo':
platform_drm.c:(.text+0x1dd): undefined reference to `gbm_bo_create_with_modifiers'
collect2: error: ld returned 1 exit status
libtool: error: error: relink 'libEGL.la' with the above command before installing it

Lone_Wolf commented on 2017-03-15 14:37

Source uri has changed, see mesa-git for details

Lone_Wolf commented on 2017-03-11 17:37

I have looked into building aur lib32-mesa-git with libglvnd support, but the patches used in stock mesa 17.0.1-2 don't apply cleanly to git master .

For now aur lib32-mesa-git is sticking to the mesa-libgl symlink method.

Users that combine nvidia driver with this package may encounter problems.

Lone_Wolf commented on 2017-02-27 23:22

migrated to scheme used in lib32-mesa-test-git, this package is now uptodate again.